List phone numbers
const url = 'https://api.caller9.app/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/numbers';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.caller9.app/v1/organizations/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/numbers \ --header 'Authorization: Bearer <token>'Lists the organization’s phone numbers (DIDs), oldest first. Deleted numbers are excluded.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Organization ID (UUID). Must be the organization that owns the API key.
Responses
Section titled “Responses”The organization’s numbers.
object
A phone number (DID) owned by an organization.
object
Number ID.
The phone number, E.164 (e.g. +15551234567).
Display name.
1 if outbound calls from this number offer HD-voice codecs. Managed by Caller 9 support.
Always null for numbers returned by the API.
Example
{ "numbers": [ { "hd_voice_outbound": 0 } ]}Missing, invalid, expired or revoked API key.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Not found, or belongs to another organization.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Too many requests for this API key. Retry after Retry-After seconds.
object
Human-readable error message.
Machine-readable code (authentication failures only, e.g. KEY_EXPIRED, RATE_LIMITED).
Example generated
{ "error": "example", "code": "example"}Headers
Section titled “Headers”Seconds until the rate-limit window resets.